body {
  font-family: Helvetica, Arial, sans-serif;
  color: #333333;
  margin: 0;
}

#header {
  padding-top: 12px;
  padding-left: 24px;
  padding-right: 24px;
  padding-bottom: 12px;
}

#footer {
  padding-left: 24px;
  padding-right: 24px;
  padding-bottom: 12px;
}

a, a:visited {
  color: #4b0082;
  text-decoration: none;
}

a:hover {
  text-decoration: underline;
}

#masthead {
  padding: 0.25em;
}
#masthead .big {
  display: inline-block;
  text-align: center;
  font-family: 'Playball', cursive;
  font-size: 240%;
  color: white;
  background-color: #4b0082;
  padding: 12px;
}
#masthead .small {
  font-size: 120%;
  padding-left: 15px;
}

#nav {
  padding: 0.5em;
}
#nav a, #nav a:visited {
  text-decoration: none;
}
#nav a:hover {
  text-decoration: underline;
}

/* fix: use javascript?? jquery to add .programlisting class
  to pre tags followed by code e.g. <pre><code> => <pre class='programlisting'><code>
   for now assume all pres are programlistings
*/
pre,
.programlisting {
  padding: 4px 4px 4px 4px;
  border-top: #bbb 1px solid;
  border-bottom: #bbb 1px solid;
  background: #f3f3f3;
}

.plugins {
  background-color: #f4f4f4;
  margin: 0;
  padding-top: 24px;
  padding-bottom: 60px;
  padding-left: 48px;
}
.plugins .plugins-views {
  padding: 10px 15px;
}
.plugins .plugin {
  display: inline-block;
  vertical-align: top;
  width: 294px;
  /* note: 270(10+10? left+right padding?)+24px add margin+border */
  background-color: white;
  margin-bottom: 24px;
  margin-right: 24px;
  padding: 10px 15px;
}
.plugins .plugin .plugin-title {
  font-weight: bold;
  font-size: 140%;
}

.banner {
  color: white;
  background-color: #333333;
  padding: 6px 6px 4px 8px;
  margin: 0 0 8px 0;
}
.banner a {
  color: white;
  text-decoration: none;
  background-color: #333333;
}
.banner a:visited {
  color: white;
}
.banner a:hover {
  color: white;
  text-decoration: underline;
}

.announce {
  background-color: #d8bfd8;
  font-size: 18px;
  padding: 8px 8px 4px 8px;
  margin: 6px 26px 6px 26px;
  border: 1px solid #4b0082;
}
.announce a {
  color: #4b0082;
  text-decoration: none;
}
.announce a:visited {
  color: #4b0082;
}
.announce a:hover {
  color: #4b0082;
  text-decoration: underline;
}

.posts.container,
.post.container {
  padding-top: 12px;
  padding-left: 24px;
  padding-right: 24px;
  padding-bottom: 12px;
}
.posts.container h1,
.post.container h1 {
  border-bottom: 1px solid black;
}
.posts.container h2,
.post.container h2 {
  border-bottom: 1px solid black;
  font-weight: bold;
}
